/v0.1/merchants/{merchant_code}/payment-methodsLists the payment methods available to the merchant for checkout payments. Use the optional amount and currency filters to check eligibility for a particular payment before presenting payment options to the payer.
Path parameters
Short unique identifier for the merchant.
Example:
"MH4H92C7"
Query parameters
Responses
200application/json
Available payment methods
- available_payment_methodsarray<object>
Payment methods available to the merchant for the checkout.
Example:
[{"id":"apple_pay"},{"id":"blik"}]Show 1 property
Unique identifier of the payment method.
Example:
"qr_code_pix"
400application/json
The request is invalid for the submitted query parameters.
- titlestring
Short title of the error.
Example:
"Bad Request" - detailsstring
Details of the error.
Example:
"One or more of the parameters are invalid." - statusnumber
HTTP status code for the error.
Example:
400 - failed_constraintsarray<object>
List of violated validation constraints.
Example:
[{"message":"Currency must also be specified when filtering by amount","reference":"currency"}]